> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user stats



## OpenAPI

````yaml get /user/{principal}/stats
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/{principal}/stats:
    get:
      tags:
        - Users
      operationId: UserController_stats
      parameters:
        - name: principal
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      total_asset_value:
                        type: number
                      total_liquidity:
                        type: number
                      btc:
                        type: number
                description: User Stats

````